<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
  <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
  <title>Crer des lments</title>
  <meta name="GENERATOR" content="amaya 9.52, see http://www.w3.org/Amaya/" />
  <link href="style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="fr" lang="fr">

<div class="PageHead">
Amaya<img alt="logo" src="../../resources/icons/22x22/logo.png" class="logo" /> 

<p class="nav"><a href="Document.html.fr" accesskey="p"><img alt="previous"
src="../../resources/icons/misc/left.png" /></a> <a href="Manual.html.fr"
accesskey="t"><img alt="top" src="../../resources/icons/misc/up.png" /></a> <a
href="Attributes.html.fr" accesskey="n"><img alt="next"
src="../../resources/icons/misc/right.png" /></a></p>
</div>

<div class="PageBody" id="Creating">
<h2 id="L1103">Crer des <span xml:lang="fr" lang="fr">lments</span></h2>

<h3 id="Modes">Modes d'dition</h3>

<p>Amaya propose deux modes d'dition :</p>
<ul>
  <li>Le mode XML est trs efficace pour manipuler les diffrents types de
    structure XML, mais cela implique que l'utilisateur ait une bonne
    connaissance de la structure du document. Les manipulations simples
    ralises via quelques touches de clavier sont gnriques: elles
    s'appliquent  tous les types d'lments de n'importe quel vocabulaire XML,
    quelque soit leur smantique. Cela marche bien avec le texte HTML, mais
    aussi les quations MathML ou les dessins SVG.</li>
  <li>Le mode Texte permet aux utilisateurs de grer les lments HTML de faon
    identique aux traitements de texte. Ce mode ne s'applique pas aux autres
    vocabulaires XML.</li>
</ul>

<p>Vous pouvez facilement changer de mode d'dition (<a
href="#Modes">Texte/XML</a>) en cliquant sur le bouton correspondant dans le
coin en bas  droite de la fentre.</p>

<h3 id="Boutons"><a name="Types" id="Types">Boutons et menus</a></h3>

<p>La manire la plus simple de crer de nouveaux lments dans un document est
de placer le point d'insertion  la position voulue et d'utiliser lemenu
<strong>Insertion</strong> ou l'outil <strong>Elments</strong>, pour les
lments les plus communs (images, titres, listes...). Ces commandes crent
simplement l'lment correspondant  la position courante.</p>

<p>L'outil <strong>Elments</strong> donne un moyen direct pour:</p>
<ul>
  <li>insrer -ou remplacer la slection courante par- un lment XHTML: <br
    />
    division (<img alt="Bouton Division"
    src="../../resources/icons/16x16/XHTML_Div.png" />), titre (<img
    alt="Bouton Titre niveau 1" src="../../resources/icons/16x16/XHTML_H1.png"
    /> ,<img alt="Bouton Titre niveau 2"
    src="../../resources/icons/16x16/XHTML_H2.png" /> ,<img
    alt="Bouton Titre niveau 3" src="../../resources/icons/16x16/XHTML_H3.png"
    />), paragraphe (<strong>P</strong>)<strong></strong>, table (<img
    alt="Bouton Table" src="../../resources/icons/16x16/XHTML_Table.png" />),
    ancre cible ou lment cible (<img alt="Bouton Cible"
    src="../../resources/icons/16x16/XHTML_Target.png" />), ancre lien (<img
    alt="Bouton Lien" src="../../resources/icons/16x16/XHTML_Link.png" />),
    liste (<img alt="Bouton Liste"
    src="../../resources/icons/16x16/XHTML_Bullet.png" />), liste numrote
    (<img alt="Bouton Liste numrote"
    src="../../resources/icons/16x16/XHTML_Num.png" />), liste de dfinitions
    (<img alt="Bouton Liste de dfinitions"
    src="../../resources/icons/16x16/XHTML_DL.png" />), terme de dfinition
    (<img alt="Bouton Terme" src="../../resources/icons/16x16/XHTML_DT.png"
    />), dfinition (<img alt="Bouton Dfinition"
    src="../../resources/icons/16x16/XHTML_DD.png" />), image (<img
    alt="Bouton Image" src="../../resources/icons/16x16/XHTML_Image.png" />),
    objet (<img alt="Bouton Objet"
    src="../../resources/icons/16x16/XHTML_object.png" />).</li>
  <li>ouvrir/fermer -ou englober la slection courante dans- un lment
    <em>en-ligne</em> de XHTML: <em><br />
    mise en vidence</em> (<img src="../../resources/icons/16x16/XHTML_I.png"
    alt="Bouton Mise en evidence" />), <strong>important</strong> (<img
    src="../../resources/icons/16x16/XHTML_B.png" alt="Bouton Important" />),
    <code>code</code> (<img src="../../resources/icons/16x16/XHTML_T.png"
    alt="Bouton Code" />), <ins>insertion</ins> (<img alt="Bouton Insertion"
    src="../../resources/icons/16x16/XHTML_ins.png" />), <del>suppression</del>
    (<img alt="Bouton Suppression"
    src="../../resources/icons/16x16/XHTML_del.png" />), <sup>exposant</sup>
    (<img alt="Bouton Exposant" src="../../resources/icons/16x16/XHTML_sup.png"
    />), et <sub>indice</sub> (<img alt="Bouton Indice"
    src="../../resources/icons/16x16/XHTML_sub.png" />).</li>
</ul>

<p class="Note">Note : Dans le profil Lite d'Amaya seul un sous-ensemble de ces
boutons est disponible.</p>

<p>Pour plus d'information sur ces lments <a
href="HTML-elements/HTML.html.fr">voir la liste de tous les lments HTML
4.0</a>.</p>

<h3 id="Point">Point d'insertion</h3>

<p>Quand vous crez de nouveaux lments, il est important de slectionner un
<em>point d'insertion</em>, et non du texte ou mme un caractre unique: si la
slection courante n'est pas vide, Amaya tente de <a
href="Changing.html.fr#L631"><em>transformer</em></a> la partie slectionne
dans le type de l'lment choisi.</p>

<p>Dans certains cas, l'lment dsir ne peut pas tre cr exactement  la
position choisie  cause des contraintes imposes par le langage HTML. Amaya
tente alors de crer l'lment  l'endroit le plus proche possible. Par
exemple, si le point d'insertion se trouve  l'intrieur d'un paragraphe,  la
fin de la dernire ligne, quand vous cliquez sur le bouton <img
src="../../resources/icons/16x16/XHTML_H2.png" alt="H2" /> , Amaya ne cre pas
la nouvelle en-tte  cette position (elle serait invalide) mais aprs le
paragraphe,  la position valide la plus proche.</p>

<p>Dans d'autres cas, Amaya modifie la structure existante pour crer l'lment
dsir tout en respectant les contraintes du langage. Si le point d'insertion
est quelque part dans un item de liste (<code>li</code>) quand vous crez une
en-tte (avec le bouton <img src="../../resources/icons/16x16/XHTML_H2.png"
alt="H2" /> depuis l'outil <strong>Elment</strong> ou  partir du menu),
l'item et la liste  laquelle il appartient sont automatiquement diviss afin
de crer l'en-tte demand et de se conformer aux contraintes du langage
HTML.</p>

<h3 id="Sous-menu"><a name="Structure" id="Structure">Sous-menu Elments
cachs</a></h3>

<p>Pour crer des lments dans la partie <code>head</code> du document,
utilisez le sous-menu <strong>Elments cachs</strong> du menu
<strong>Insertion</strong>. Attention ces lments ne sont affichs que dans
les <a href="Views.html.fr#Structure">vues</a> structure et source. Vous devez
ouvrir la vue structure. Mettez le point d'insertion  la position dsire et
choisissez le type d'lment  crer dans le sous-menu <strong>Elments
cachs.</strong></p>

<p>Le menu <strong>Elments cachs</strong> vous permet aussi de crer des
commentaires. Les commentaires sont seulement visibles dans les <a
href="Views.html.fr#Structure">vues</a> structure et source, mais ils peuvent
tre insrs  n'importe quelle position dans le document.</p>

<h3 id="L1179">Elments crs automatiquement</h3>

<p>Certains lments HTML sont constitus de plusieurs autres lments de
diffrents types. Par exemple, une table contient d'habitude une lgende
(<code>caption</code>), plusieurs lignes (<code>tr</code>) et plusieurs
cellules (<code>td</code> ou <code>th</code>) dans chaque ligne.</p>

<p>Quand Amaya cre de tels lments, il cre aussi leurs composants. Pour
crer une table, Amaya affiche un dialogue qui vous permet de choisir de la
crer avec ou sans lgende, le nombre de lignes et de colonnes dsires et
d'autre options de prsentation. Le point d'insertion est automatiquement plac
dans la premire cellule cre. Vous pouvez saisir le contenu de ce composant
immdiatement ou plus tard. Vous pouvez vous dplacer jusqu'au prochain
composant (vide) avec la souris ou avec les flches de direction.</p>

<p>HTML dfinit certains lments de niveau de caractre qui permettent
d'associer du style aux chanes de caractres. Voir <a
href="StyleSheets.html.fr#L1371">Crer des lments de style HTML</a> pour
crer de tels lments.</p>

<h3 id="touche"><a name="L906" id="L906">La touche Entre</a></h3>

<p>Lorsque vous crivez un nouveau document ou une nouvelle partie dans un
document, vous tes souvent amens  crer de nouveaux lments. Pour cela, il
suffit de presser la touche <kbd>Entre</kbd>. L'lment courant est clos et un
nouveau est cr juste aprs.</p>

<p>Quand le curseur est au dbut ou  la fin d'un lment prformat ou d'une
division (<code>pre</code> ou <code>div</code>), la touche <kbd>Entre</kbd>
cre une nouvelle ligne dans le <code>pre</code> ou un nouveau paragraphe dans
l'lment <code>div</code>.</p>

<p>Dans certains cas le comportement de la touche <kbd>Entre</kbd> dpend du
mode d'dition courant:</p>
<ul>
  <li>Mode XML 
    <p>Pour crer un paragraphe aprs un <code>pre</code> ou une division aprs
    un <code>div</code>, vous devez slectionner le <code>pre</code> ou le
    <code>div</code> en entier avec la touche <kbd>F2</kbd> et presser la
    touche <kbd>Entre</kbd>. De la mme faon, vous pouvez crer un nouveau
    paragraphe aprs une table en slectionnant la table entire et en pressant
    la touche <kbd>Entre</kbd>.</p>
    <p>Quand un lment complet comme <code>h2</code> ou <code>li</code> est
    slectionn, la touche <kbd>Entre</kbd> cre un nouveau <code>h2</code> ou
    <code>li</code> aprs.<br />
    </p>
  </li>
  <li>Mode Texte 
    <p>Quand le curseur est au dbut ou  la fin d'un item de liste
    (<code>li</code>), un nouvel item de liste frre et de mme type est cr,
    au lieu d'un nouveau paragraphe dans l'item de liste. De plus, dans un item
    de liste vide, la touche <kbd>Entre</kbd> cre un paragraphe qui coupe la
    liste en deux.</p>
    <p>Quand le curseur est dans un lment comme <code>p</code>,
    <code>address</code>, <code>dt</code>, <code>h1</code>, <code>h2</code>,
    etc. (ils sont appels des lments <em>blocs</em>) la touche
    <kbd>Entre</kbd> coupe l'lment en deux lments frres de mme type.</p>
    <p>Quand le point d'insertion est dans un lment HTML comme
    <code>strong</code>, <code>em</code>, <code>code</code>, <code>span</code>,
    <code>a</code>, etc. (ils sont appels des lments <em>en-ligne</em>) la
    touche <kbd>Entre</kbd> coupe l'lment <em>en-ligne</em> et l'vnement
    est transmis  l'lment parent. Comme les lments en-ligne peuvent
    s'englober dans une structure HTML, la coupure peut se faire  plusieurs
    niveaux, jusqu' l'lment <em>bloc</em> ou l'item de liste qui va traiter
    l'vnement comme indiqu plus haut.</p>
    <p>Quand la touche <kbd>Entre</kbd> est active au dbut ou  la fin d'un
    lment <em>bloc</em>, un nouveau paragraphe (lment <code>p</code>) est
    cr, quelque soit le type de l'lment <em>bloc</em> courant.</p>
  </li>
</ul>

<p>Quand le nouvel lment cr est simplement un paragraphe, vous pouvez
changer immdiatement le type de cet lment, en slectionnant le type dsir
dans le menu <strong>Insertion</strong> ou en cliquant sur le bouton
correspondant de l'outil <strong>Elments</strong>. Vous pouvez aussi continuer
 taper et <a href="Changing.html.fr#L653">changer le type</a> de l'lment
plus tard.</p>

<h4 id="end-anchor">Sortir des ancres, des lments en-ligne, etc.</h4>

<p>Quand un paragraphe ou un autre bloc de texte se termine par une ancre ou
une chane de caractres style (en gras, en italique ou dans tout autre style)
ou tout autre lment <em>en-ligne</em>, si vous placez le point d'insertion 
la fin du paragraphe et tapez du texte les caractres sont ajouts 
l'intrieur de l'ancre ou de l'lment <em>en-ligne</em>.</p>
<dl>
  <dt>Dans le mode XML seulement</dt>
    <dd>Si vous voulez saisir du simple texte aprs cet lment, il vous suffit
      de mettre le curseur  la fin de l'ancre ou de l'lment en-ligne et
      presser la touche <kbd>Entre</kbd> pour sortir de l'lment et de
    taper.</dd>
    <dd>La mme mthode s'applique pour insrer du simple texte avant le
      premier lment en-ligne du bloc de texte. Si vous voulez saisir du
      simple texte avant cet lment, il vous suffit de placer le curseur au
      dbut de l'lment et de presser la touche <kbd>Entre</kbd> et continuer
       taper.</dd>
  <dt>Dans le mode Texte et XML</dt>
    <dd>Tous les lments <strong>Type d'information</strong> et
      <strong>Elments caractres</strong> peuvent tre ouvert/ferms avec la
      mme commande ou bouton de l'outil <strong>Elments</strong>.</dd>
    <dd>Les commandes <strong>Insrer</strong> ou <strong>Ajouter</strong> du
      menu <strong>Edition</strong> ou menu contextuel peuvent tre utilises
      pour insrer avant le dbut ou aprs la fin de l'lment
      <em>en-ligne</em>.</dd>
</dl>

<h4 id="multi-enter">Cration de structures imbriques</h4>

<p>En mode d'dition XML (seulement), quand le point d'insertion est dans un
lment vide, une pression sur la touche <kbd>Entre</kbd> remplace cet lment
par un autre lment vide au niveau suprieur de la structure du document. Ce
comportement permet de crer trs rapidement des structures embotes
complexes.</p>

<p>Considrez par exemple la structure suivante :</p>
<ol style="color:#1e90ff">
  <li>Le premier item dans le plus haut niveau de la liste. 
    <p>Un paragraphe dans le premier item.</p>
  </li>
  <li>Le second item. 
    <ol type="a">
      <li>Le premier item dans la liste embote.</li>
      <li>Le second item dans la liste embote.</li>
    </ol>
  </li>
  <li>Le dernier item dans la liste.</li>
</ol>

<p class="ProcedureCaption">Pour crer cette structure:</p>
<ol>
  <li>Crez d'abord une liste numrote avec un premier item, par exemple en
    cliquant sur le bouton <img alt="Numbered List "
    src="../../resources/icons/16x16/XHTML_Num.png" /> .</li>
  <li>Tapez le contenu de la premire ligne et pressez la touche
    <kbd>Entre</kbd> : cela cre un nouveau paragraphe dans l'item de
  liste.</li>
  <li>A la fin de ce paragraphe, pressez la touche <kbd>Entre</kbd> : cela
    cre un nouveau paragraphe. Par contre, en pressant encore la mme touche,
    vous remplacez ce paragraphe dans un item vide 2.</li>
  <li>Entrez le contenu de la premire ligne du second item.</li>
  <li>A la fin de la premire ligne de l'item 2, crez une liste nouvelle avec
    son premier item (cliquez par exemple sur le bouton <img
    alt="Numbered List " src="../../resources/icons/16x16/XHTML_Num.png" /> ).
    La nouvelle liste sera automatiquement embote.</li>
  <li>Entrez le contenu du premier item de la nouvelle liste et crez l'item b
    en appuyant deux fois sur la touche <kbd>Entre</kbd>  la fin de l'item
  a.</li>
  <li>Entrez le contenu de l'item b. Quand le point d'insertion est  la fin de
    l'item b, crez l'item 3 en appuyant quatre fois sur la touche
    <kbd>Entre</kbd>.</li>
  <li>Entrez le contenu du dernier item. Pour crer le paragraphe qui suit ces
    listes, pressez la touche <kbd>Entre</kbd> trois fois lorsque le point
    d'insertion est  la fin de l'item 3.</li>
</ol>

<p>La touche <kbd>Entre</kbd> fonctionne de la mme manire que prcdemment
quand le point d'insertion est au dbut d'un lment, mais elle cre de
nouveaux lments avant l'lment courant.</p>

<p>Par exemple, pour ajouter un paragraphe initial dans un item de liste,
dplacez le point d'insertion devant le premier caractre de cet item et
pressez la touche <kbd>Entre</kbd>. Si vous appuyez deux fois sur
<kbd>Entre</kbd>, vous obtenez un nouvel item avant l'item en cours. Ceci est
utile pour insrer un nouvel item avant le premier.</p>

<p class="Note"><strong>Note:</strong> Dans le mode XML, cette utilisation de
la touche <kbd>Entre</kbd> ne s'applique pas seulement aux listes et aux
paragraphes, mais  tous les lments.</p>

<p></p>

<p class="ProcedureCaption">Pour dplacer des items de liste :</p>

<p>La commande <kbd>Tab</kbd> permet de dplacer des items de liste dans une
sous-liste  condition qu'il y ait un item de liste prcdent. Par exemple,
quand la slection se trouve dans "<span style="color:#1e90ff">Le second
item.</span>", la touche <kbd>Tab</kbd> engendrera la structure suivante:</p>
<ol style="color:#1e90ff">
  <li>Le premier item dans le plus haut niveau de la liste. 
    <p>Un paragraphe dans le premier item.</p>
    <ul>
      <li>Le second item. 
        <ol type="a">
          <li>Le premier item dans la liste embote.</li>
          <li>Le second item dans la liste embote.</li>
        </ol>
      </li>
    </ul>
  </li>
  <li>Le dernier item dans la liste.</li>
</ol>

<p>La commande <kbd>Shift Tab</kbd> permet de dplacer des items de liste vers
la liste englobante. Par exemple, quand la slection se trouve dans "<span
style="color:#1e90ff">Le premier item dans la liste embote.</span>", la
touche <kbd>Shift Tab</kbd> engendrera la structure suivante:</p>
<ol style="color:#1e90ff">
  <li>Le premier item dans le plus haut niveau de la liste. 
    <p>Un paragraphe dans le premier item.</p>
    <ul>
      <li>Le second item. 
        <ol type="a">
        </ol>
      </li>
      <li>Le premier item dans la liste embote.
        <ol type="a">
          <li>Le second item dans la liste embote.</li>
        </ol>
      </li>
    </ul>
  </li>
  <li>Le dernier item dans la liste.</li>
</ol>

<p></p>

<h4 id="edit-dl">Editer les listes de dfinitions (dl/dt/dd)</h4>

<p>La touche <kbd>Entre</kbd> est galement utile pour diter des listes de
dfinitions. Considrez l'exemple suivant :</p>

<blockquote>
  <dl>
    <dt>Terme 1</dt>
    <dt>Terme 2</dt>
      <dd>Dfinition des deux termes.</dd>
  </dl>
</blockquote>

<p>C'est une liste de dfinitions (<code>dl</code>) contenant deux termes
(<code>dt</code>) suivis par une dfinition (<code>dd</code>). Pour ajouter un
nouveau paragraphe  l'intrieur de la dfinition (<code>dd</code>), placez le
point d'insertion  la fin (aprs le mot "termes") et appuyez sur la touche
<kbd>Entre</kbd>. Si vous pressez <kbd>Entre</kbd> deux fois, vous sortez de
la dfinition en cours (<code>dd</code>) et vous crez un nouveau terme
(<code>dt</code>). Entrez le contenu de ce nouveau terme et pressez une fois la
touche <kbd>Entre</kbd>: vous crez encore un nouveau terme
(<code>dt</code>). La presser deux fois cre une nouvelle dfinition
(<code>dd</code>).</p>

<p>Si vous voulez crer un nouveau terme avec sa dfinition <em>avant</em> le
Terme 1, mettez le point d'insertion au dbut du Terme 1 et appuyez sur
<kbd>Entre</kbd>. Tapez le nouveau terme (<code>dt</code>), puis pressez
<kbd>Entre</kbd> deux fois: une nouvelle dfinition (<code>dd</code>) est
cre immdiatement aprs le nouveau terme.</p>

<h3 id="touches">Les touches Suppr et Arrire</h3>

<p>Le comportement des touches <kbd>Suppr</kbd> et <kbd>Arrire</kbd> ne dpend
pas du mode d'dition:</p>
<ul>
  <li>Si le point d'insertion se trouve au dbut ou  la fin d'un lment
    <em>bloc</em> (un lment comme <code>p</code>, <code>address</code>,
    <code>dt</code>, <code>h1</code>, <code>h2</code>, etc.) et que la touche
    <kbd>Suppr</kbd> ou <kbd>Arrire</kbd> est presse, tout le contenu de
    l'lment voisin suivant (resp. prcdent) est ajout au contenu de
    l'lment contenant le point d'insertion.</li>
  <li>Si le point d'insertion se trouve dans un lment en-ligne (un lment
    HTML comme <code>strong</code>, <code>em</code>, <code>code</code>,
    <code>span</code>, <code>a</code>, etc.), les touches <kbd>Suppr</kbd> et
    <kbd>Arrire</kbd> dtruisent seulement les caractres, en traversant les
    limites d'lments <em>en-ligne</em> sans aucun effet sur la structure.
    Cependant, quand un lment <em>en-ligne</em> devient vide, il est lui-mme
    dtruit.</li>
</ul>

<h3 id="Changer"><a name="Changing" id="Changing">Changer le titre du
document</a></h3>

<p>Vous pouvez diter le titre du document (lment <code>title</code>) en
utilisant le menu <strong>Outils/Changer le titre.</strong> Vous pouvez aussi
diter le titre du document dans la <a href="Views.html.fr#Structure">vue
structure</a>.</p>
</div>

<div id="Creating1">
<h3 id="date">Insrer la date de mise  jour</h3>

<p>L'entre de menu <strong>Outils/Insrer date de mise  jour</strong> vous
permet d'insrer la date courante soit au format ISO (YYY-MM-DD) soit au format
europen (DD-MM-YYYY). Le format de la date est fix par le menu des
Prfrences.</p>

<p>Une fois cette date insre, Amaya la met automatiquement  jour chaque fois
que le document est sauv et maintenir ainsi la dernire date de mise 
jour.</p>

<p></p>
</div>
</body>
</html>
