<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>Imprimer</title>
  <meta name="GENERATOR" content="amaya 9.1, see http://www.w3.org/Amaya/" />
  <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
  <link href="style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="fr" lang="fr">

<div class="PageHead">
Amaya<img alt="logo" src="../../resources/icons/22x22/logo.png" class="logo" /> 

<p class="nav"><a href="WebDAV.html.fr" accesskey="p"><img alt="previous"
src="../../resources/icons/misc/left.png" /></a> <a href="Manual.html.fr"
accesskey="t"><img alt="top" src="../../resources/icons/misc/up.png" /></a> <a
href="Numbering.html.fr" accesskey="n"><img alt="next"
src="../../resources/icons/misc/right.png" /></a></p>
</div>

<div class="PageBody" id="Printing">
<h2 id="Imprimer">Imprimer des documents</h2>

<p>Amaya est capable d'imprimer des document avec ou sans feuilles de style CSS
pour les plates-formes Linux et Windows. </p>

<p class="Note"><strong>Important:</strong> Pour Linux et mac OSX, il est
uniquement possible de gnrer une description PostScript, donc vous avez
besoin d'une imprimante PostScript ou d'utiliser une application capable de
traduire le PostScript dans le langage de votre imprimante.</p>

<p>Il y a trois manires d'imprimer un document avec Amaya :</p>
<ul>
  <li>la commande <strong>Paramtrer et imprimer</strong>
    (<strong>Fichier/Paramtrer et imprimer</strong>), qui vous permet de fixer
    certains paramtres et options avant d'imprimer.</li>
  <li>la commande <strong>Imprimer</strong>
    (<strong>Fichier/Imprimer</strong>), qui imprime un document en utilisant
    la configuration de la commande prcdente.</li>
  <li>le <strong>bouton</strong> <img
    src="../../resources/icons/22x22/print.png" alt="Print" /> , dans la barre
    des boutons, qui est un raccourci de la commande <strong>Imprimer</strong>
    sur les plates-formes Linux. Sous Windows, ce bouton est le raccourci de la
    commande <strong>Paramtrer et imprimer</strong>.</li>
</ul>

<h3 id="commande">La commande Paramtrer et imprimer</h3>

<p>Cette commande vous permet d'tablir diffrents paramtres et options. Notez
que certains paramtres et certaines options reprennent leur valeur par dfaut
quand vous ouvrez un autre document. Cette proprit dpend de la
plate-forme.</p>

<h4 id="Plates-for">Plateformes Linux</h4>

<p>Sous Linux, avec la commande <strong>Fichier/Paramtrer et imprimer</strong>
vous pouvez fixer les paramtres suivant :</p>
<ul>
  <li>le format du papier : A4, US</li>
  <li>l'orientation : Portrait, Paysage</li>
  <li>la disposition (le nombre de pages imprimes sur la mme feuille de
    papier) : 1, 2, 4 pages par feuille</li>
  <li>la destination : fichier PostScript ou imprimante
    <p class="Note">Note: Quand vous slectionnez l'option imprimante, vous
    devez insrer dans la zone de texte la commande batch qui donne accs 
    l'imprimante.</p>
  </li>
</ul>

<p>En plus, vous pouvez slectionner les options suivantes :</p>
<ul>
  <li>Alimentation manuelle</li>
  <li>Gnrer la table des matires</li>
  <li>Gnrer la table des liens : un numro est gnr aprs chaque lien dans
    le document qui rfre  un entre de la table de liens; chaque entre de
    la table liste l'URI correspondant</li>
  <li>Imprimer l'URI du document sur chaque page</li>
  <li>Imprimer sans feuille de style</li>
</ul>

<h4 id="Plates-for1">Plateformes Windows</h4>

<p>Sur les stations Windows, une bote de dialogue vous proposera en premier
lieu les options suivantes :</p>
<ul>
  <li>Gnrer la table des matires</li>
  <li>Gnrer la table des liens</li>
  <li>Imprimer l'URI du document en haut de chaque page</li>
  <li>Imprimer sans feuille de style</li>
</ul>

<p>Puis le dialogue standard de Windows vous laissera choisir les autres
paramtres d'impression.</p>

<h3 id="commande1">La commande imprimer</h3>
Cette commande imprime le document courant avec le paramtre d'impression par
dfaut ou avec les valeurs prcdemment fixes grce  la commande
<strong>Paramtrer et imprimer</strong>. 

<p>Sur les stations Windows, la premire fois que vous lancez la commande
<strong>Imprimer</strong>, le dialogue standard de Windows est affich et vous
laisse vrifier que l'imprimante par dfaut est correcte. Les commandes
<strong>Imprimer</strong> suivantes sont lances sans aucun dialogue.</p>

<h3 id="Contr">Contrler l'impression avec les CSS</h3>

<p>Les liens ne sont pas souligns  l'impression sous Amaya. Pour ce faire,
votre feuille de style utilisateur (fichier <code>amaya.css</code> dans votre
<a href="Configure.html.fr#pertoire1">rpertoire AmayaHome</a>) doit
contenir:</p>
<pre>@media print {a:link {text-decoration: underline} ... }</pre>

<p>Amaya supporte les proprits de saut de page CSS :
"<code>page-break-before: always</code>". Quand cette proprit est attache 
un lment spcifique par un attribut <code>style</code>, elle gnre un saut
de page avant l'lment. Quand cette proprit est attache  un type d'lment
dans l'lment style du document ou dans la feuille de style CSS externe, elle
gnre un saut de page avant chaque occurence de cet lment.</p>

<p class="Note"><strong>Note:</strong> Quelques proprits CSS ne sont pas
bien supportes par le processus d'impression.</p>
</div>
</body>
</html>
