<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="content-type"
  content="application/xhtml+xml; charset=iso-8859-1" />
  <title>diter avec des modles</title>
  <meta name="generator" content="amaya 9.53, see http://www.w3.org/Amaya/" />
  <link href="style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="fr" lang="fr">

<div class="PageHead">
Amaya<img alt="logo" src="../../resources/icons/22x22/logo.png" class="logo" /> 

<p class="nav"><a href="EditChar.html.fr" accesskey="p"><img alt="previous"
src="../../resources/icons/misc/left.png" /></a> <a href="Manual.html.fr"
accesskey="t"><img alt="top" src="../../resources/icons/misc/up.png" /></a> <a
href="Changing.html.fr" accesskey="n"><img alt="next"
src="../../resources/icons/misc/right.png" /></a></p>
</div>

<div class="PageBody" id="modles">
<h2 id="Templates">diter avec des modles</h2>

<h3 id="What">Qu'est-ce qu'un modle ?</h3>

<p>Les modles sont utiliss pour produire plusieurs documents du mme type. Un
modle est un squelette reprsentant ce type de document, exprim dans le
format du document final  produire (par exemple XHTML). Le format du document
final est appel le langage cible et doit tre un langage XML.</p>

<p>Dans un modle, le squelette du document contient des dclarations,
exprimes dans le langage XTiger (eXtensible Templates for Interactive Guided
Editing of Resources), qui spcifient comment le document minimal peut voluer
et grossir, en respectant le type de document final dsir.</p>

<p>Les documents produits  partir de ce squelette en suivant les dclarations
XTiger sont appels des <em>instances</em> du modle. Certaines parties du
modle peuvent tre figes, si elles doivent apparatre dans les instances
telles quelles. Certaines parties peuvent tre modifies quand une instance de
document est produite, certaines autres peuvent tre ajoutes, librement ou
sous certaines contraintes.</p>

<p>Le fichier contenant le modle doit avoir l'extension <code>.xtd</code>.</p>

<p>Un modle est souvent accompagn d'un ensemble de ressources attaches
(images, feuilles de style, scripts). Un modle est une ressource web, qui peut
tre stocke dans le systme de fichiers local ou partag sur un serveur
web.</p>

<h3 id="L65">Crer un modle</h3>

<p>Vous pouvez crer vos propres modles, en utilisant le langage XTiger.
Cependant, Amaya fournit un support spcifique pour la cration et la mise 
jour des modles.</p>

<p>L'approche propose est de:</p>
<ul>
  <li>Crer d'abord un squelette d'instance de document (fichier .html) vous
    voulez engendrer.</li>
  <li>Slectionner l'onglet Modle (Tpl) de l'outil <strong>Elments</strong>
    et cliquer sur la premire entre "<em>Crer un modle depuis le document
    courant</em>" pour engendrer un modle (fichier .xtd)  partir du squelette
    de document.</li>
  <li>Vous pouvez aussi crer une nouvelle librairie XTiger (fichier .xtl) vide
    avec l'entre "<em>Crer une librairie</em>".</li>
  <li>Quand un document modle ou une librairie XTiger est slectionn,
    plusieurs entres de l'outil Modle sont disponibles: 
    <ul>
      <li>L'entre "<em>Crer un composant</em>" engendre un lment
        <code>component</code> qui sera affich dans la section
        <code>head</code> du document modle. 
        <p>Si la slection n'est pas vide, le contenu de la slection devient
        le contenu du composant. Un lment <code>use</code> est cr  la
        position courante du document pour indiquer que composant est utilis 
        cette position. La slection doit tre valide (seulement des lments
        complets ou une chane de caractres). La commande demande 
        l'utilisateur de saisir le nom du <code>component</code>. Ce nom doit
        tre unique et est utilis pour afficher la structure des documents
        instances du modle.</p>
        <p class="Note"><strong>Note:</strong> Le contenu du composant ne
        pourra pas tre dit dans les instances du modle. L'utilisateur doit
        insrer des lments <code>use</code> et/ou <code>bag</code> dans le
        composant pour dfinir des zones ditables. Ces zones peuvent tre
        dfinies avant ou aprs la cration du composant.</p>
        <p></p>
      </li>
      <li>L'entre "<em>Crer une nouvelle union de types</em>" engendre un
        lment <code>union</code> qui dfinit un nouveau type comme le choix
        entre des types de base (<code>number</code>, <code>string</code>), ou
        des lments du langage cible (div, h1, h2, p, ...) et des noms de
        <code>component</code>. La slection courante n'a aucun effet. La
        commande demande  l'utilisateur de saisir le nom de
        l'<code>union</code>. Ce nom doit tre unique. 
        <p></p>
      </li>
      <li>L'entre "<em>Importer une librairie</em>" engendre un lment
        <code>import</code> qui insre les dclarations de la librairie
        rfrence  cette position. 
        <p></p>
      </li>
      <li>L'entre "<em>Crer une zone de texte</em>" engendre un lment
        <code>use</code> qui permet d'insrer une chane de caractres dans les
        instances du modles. La commande demande  l'utilisateur un
        <em>label</em>. Ce label est libre et est utilis pour afficher la
        structure des documents instances du modle. La slection doit tre une
        chane de caractres qui devient la <em>valeur initiale</em> de
        l'lment <code>use</code>. 
        <p></p>
      </li>
      <li>L'entre "<em>Utiliser un composant ou un lment</em>" engendre un
        nouveau lment <code>use</code>. 
        <p>Si la slection est vide, un dialogue propose la liste des lments
        qui peuvent tre insrs  cette position et demande  l'utilisateur le
        <em>label</em> associ  lment <code>use</code> (comme pour l'entre
        prcdente). Un lment <code>use</code> vide est engendr.</p>
        <p>Si un lment du langage cible (div, h1, h2, p, ...) est
        slectionn, un lment <code>use</code> qui permet d'insrer ce type
        d'lment est engendr  cette position. L''lment slectionn devient
        le <em>contenu initial</em> de l'lment <code>use</code>. La commande
        demande seulement  l'utilisateur un <em>label</em>.</p>
        <p></p>
      </li>
      <li>L'entre "<em>Rpter l'utilisation courante"</em> engendre une
        rptition (<code>repeat</code>) de l'lment <code>use</code>
        slectionn. La commande demande  l'utilisateur un <em>label</em>. Ce
        label est libre et est utilis pour noter la rptition dans la
        structure des documents instances du modle. 
        <p></p>
      </li>
      <li>L'entre "<em>Crer et rpter un composant</em>" engendre  la fois
        un lment <code>use</code> et un lment <code>repeat</code>. 
        <p></p>
      </li>
      <li>L'entre "<em>Crer une zone d'dition libre</em>" engendre un
        lment <code>bag</code>. La commande demande  l'utilisateur un
        <em>label</em>. Ce label est libre et est utilis pour afficher la
        structure des documents instances du modle. 
        <p>Par dfaut l'lment <code>bag</code> autorise l'insertion multiple
        de n'importe quel lment du langage cible et de tous les composants
        dfinis dans le modle (<code>types="any"</code>). L'utilisateur doit
        diter l'attribut <code>types</code> dans le panneau <em>Attributs</em>
        pour modifier cette valeur par dfaut.</p>
      </li>
    </ul>
  </li>
  <li>Le modle ou la librairie XTiger cr peut tre enregistr n'importe o,
    dans votre systme de fichiers local ou  distance.</li>
</ul>

<h3 id="Visualizin">Visualisation des lments du modle</h3>

<p>Quand un modle est affich, Amaya montre les lments XTiger sous la forme
de cadres colors qui englobent les lments XHTML.</p>
<ul>
  <li>L'lment head qui englobe les lments <code>component</code>,
    <code>union</code>, and <code>import</code> est affich avec un fond
  gris.</li>
  <li>Un lment <code>use</code> est une bote avec un cadre hachur bleu.
    Quand son contenu est du texte, la bote a un fond bleu clair.</li>
  <li>Un lment <code>bag</code> est une bote  fond vert clair avec un cadre
    hachur vert.</li>
  <li>Un lment <code>repeat</code> est une bote avec une icne <img
    alt="icne repeat" src="../../resources/icons/16x16/TEMPLATE_repeat.png"
    width="16" height="16" /> en haut  gauche.</li>
  <li>Un lment <code>attribute</code> n'est pas affich dans la Vue
  formate.</li>
</ul>

<p>Les lments XTiger peuvent aussi tre vus dans la <em>Vue structure</em>
(ouvrez cette vue avec l'entre <strong>Montrer la structure</strong> dans le
menu <strong>Affichage</strong>). Dans la Vue structure, les lments XTiger
sont affichs en dor, alors que les lments XHTML sont affichs en bleu. Les
lments XTiger sont aussi montrs dans la vue source, mais sans couleur
spciale.</p>

<p>Un autre moyen de comprendre la structure imbrique des lments XTiger avec
les lments XHTML est le <strong>chemin de la slection</strong> affich dans
la barre de statut (en bas de la fentre). L, vous pouvez voir tous les
lments de la structure du document depuis l'lment racine jusqu' la
slection. Ce chemin est mis  jour chaque fois que la slection change. Dans
ce chemin, les lments XTiger sont affichs en dor et les lments XHTML sont
affichs en noir. Pour les lments XTiger, ce n'est pas le nom de l'lment
qui est affich ici (<code>use</code>, <code>bag</code>, <code>repeat</code>)
mais le label attach  ces lments, comme dclar dans le modle.</p>

<p></p>

<h3 id="Selecting">Slectionner un modle</h3>

<p>Vous pouvez slectionner vos propres modles ou utiliser les modles
disponibles sur le site web d'Amaya <a
href="http://www.w3.org/Amaya/Templates/">http://www.w3.org/Amaya/Templates/</a>.</p>

<p>Pour faciliter la slection parmi vos modles prfrs, il y a une section
<strong>Modles</strong> dans le dialogue des Prfrences
(<strong>dition/Prfrences</strong>, ou <strong>amaya/Prfrences</strong>
sous Mac OS X). Utilisez ces prfrences pour enregistrer les modles qu'Amaya
proposera quand vous crerez un nouveau document.</p>

<p>Quand vous voulez enregistrer un modle local, vous pouvez appeler
l'explorateur de fichiers avec le bouton pour localiser et slectionner les
modles  ajouter. Vous pouvez aussi entrer l'URI des modles distants dans la
zone d'entre en dessous de la liste. Utilisez les boutons situs sur le ct
droit de la liste pour retirer le modle slectionn ou changer l'ordre dans la
liste des modles.</p>

<p>L'enregistrement des modles n'est pas obligatoire. Quand vous crez une
nouvelle instance, vous pouvez aussi choisir un modle qui n'est pas dans cette
liste.</p>

<h3 id="Creating">Crer une instance de document</h3>

<p>Pour crer un nouveau document depuis un modle, utilisez l'entre
<strong>Nouveau/Nouveau document</strong> du menu <strong>Fichier</strong>. Un
<a href="Document.html.fr">dialogue</a> s'affiche dans lequel vous pouvez
slectionner:</p>
<ul>
  <li>Le modle, soit en slectionnant dans la liste des modles enregistrs,
    soit en tapant l'URI ou le nom de fichier d'un modle qui n'est pas dans la
    liste,</li>
  <li>L'URI ou le nom du fichier du document instance  crer,</li>
  <li>O ouvrir le nouveau document (Remplacer le document courant, Dans un
    nouvel onglet, Dans une nouvelle fentre),</li>
  <li>Le titre du nouveau document qui sera affich par les navigateurs (un
    titre par dfaut est engendr quand l'utilisateur le ne spcifie pas).</li>
</ul>

<h3 id="Editing">Editer un document instance</h3>

<p>Quand une instance de modle est cre ou ouverte, Amaya affiche cte  cte
la <em>Vue formate</em> et la <em>Vue structure</em> du document.</p>

<p>Dans la <em>Vue formate</em>:</p>

<p>L'dition n'est autorise que dans les lments <code>repeat</code>,
<code>use</code>, et <code>bag</code>, c'est--dire dans les botes colores
hachures. Le reste du document est la partie fige du modle et ne peut pas
tre modifi.</p>
<ul>
  <li>Les zones o l'utilisateur peut diter sont entoures de cadres colors:
    <ul>
      <li>Un cadre bleu entoure une zone o l'utilisateur peut insrer du texte
        (lment <code>use</code>).</li>
      <li>Un cadre vert entoure une zone o l'utilisateur peut insrer des
        lments ou des chanes de caractres (lment <code>bag</code>).</li>
    </ul>
  </li>
  <li>Des boutons <strong style="color:#7f7f7f">+</strong> permettent
    d'afficher un menu et insrer un des nouveaux lments proposs dans le
    menu  la position courante (dans des lments <code>repeat</code> ou
    <code>bag</code>).</li>
  <li>Les lments <code>attribute</code> agissent seulement sur l'outil
    <strong>Attributs</strong>.</li>
</ul>

<p>Dans la <em>Vue structure</em>:</p>
<ul>
  <li>Les labels des lments XTiger sont affichs sur un fond color:
    <ul>
      <li>Un fond gris pour des lments <code>use</code> non actifs.</li>
      <li>Un fond dor pour des lments <code>use</code> actifs.</li>
      <li>Un fond dor clair pour des lments <code>repeat</code> actifs.</li>
      <li>Un fond vert clair pour des lments <code>bag</code> actifs.</li>
    </ul>
  </li>
  <li>Avec les lments actifs,
    <ul>
      <li>Un clic sur le label, ou la moiti haute de la barre verticale
        associe, affiche un menu qui permet d'insrer un nouvel lment
        propos avant.</li>
      <li>Un clic sur la moiti basse de la barre verticale associe, affiche
        un menu qui permet d'insrer un nouvel lment propos aprs.</li>
    </ul>
  </li>
</ul>

<h4 id="Editing1">Edition dans un lment <code>repeat</code></h4>

<p id="Editing11">Dans une bote <code>repeat</code>, vous pouvez crer de
nouvelles instances de la structure rpte ou en dtruire une. Ceci est
contrl par le modle, qui peut imposer un nombre minimum et/ou maximum
d'occurrences de la structure rpte.</p>

<p id="Editing111">Quand la cration de nouvelles occurrences de la structure
rpte est autorise, des icnes <strong style="color:#7f7f7f">+</strong> sont
affiches aux emplacements o cette cration est possible. Cliquez sur une des
ces icnes pour crer une nouvelle occurrence. Un menu vous donne la liste des
lments qui peuvent tre crs  cette position. En slectionnant une entre
de ce menu, vous crez une nouvelle occurrence du type correspondant. Dans
certains cas, le modle n'offre qu'un seul type. Le menu ne contient alors
qu'une seule entre, pour clairement informer l'utilisateur de ce qui va tre
cr. Si vous cliquez en dehors du menu, rien ne sera cr.</p>

<p>Une autre faon de crer des occurrences de la structure rpte est de
slectionner une occurrence existante, ou d'ajouter un point d'insertion  la
fin d'une occurrence, et d'appuyer sur la touche <kbd>Entre</kbd>. Une
nouvelle instance de la structure rpte est ainsi cre,  condition que le
nombre maximum d'occurrences ne soit pas dj atteint. La nouvelle occurrence
cre est alors du mme type que l'occurrence slectionne quand on a appuy
sur la touche <kbd>Entre</kbd>.</p>

<p>Quand une occurrence existante est vide ou compltement slectionne et que
la touche <kbd>Arrire</kbd> ou <kbd>Suppr</kbd> est presse, l'lment est
dtruit,  condition que le nombre minimum d'occurrences de la structure
rpte ne soit pas dj atteint.</p>

<h4 id="Editing3">Edition dans un lment <code>use</code></h4>

<p>La plupart des lments <code>use</code> (bleu) vous permettent juste
d'insrer du texte libre ou de remplacer/diter le texte existant. D'autres
lments <code>use</code> offrent le choix parmi diffrents types d'lments
qui peuvent tre insrs  cette position. Dans ce cas, une icne triangulaire
bleue est affiche dans le coin haut gauche de la bote. En cliquant sur cette
icne, vous pouvez choisir un de ces types dans le menu affich. Quand le type
est choisi, la structure correspondante est engendre et vous pouvez librement
diter son contenu.</p>

<h4 id="Editing4">Edition dans un lment <code>bag</code></h4>

<p>Dans une bote <code>bag</code> (verte), vous pouvez insrer n'importe quel
nombre d'lments des types spcifis par le modle. Quand vous voulez insrer
un lment XHTML, faite le de la faon habituelle,  condition que le modle
autorise ce type d'lment. Il se peut que des lments ne soient pas
autoriss. Les lments autoriss sont proposs dans les sous-menus
<strong>Insrer</strong> et <strong>Ajouter</strong> du menu contextuel. Les
<em>composants</em> dfinis par le modle sont aussi proposs dans les
sous-menus <strong>Insrer</strong> et <strong>Ajouter</strong> du menu
contextuel.</p>
</div>
</body>
</html>
